# !/usr/bin/env ansible-playbook
---
- name: Test Nexus container
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  become: true
  tasks:
    - name: Load repository variables
      ansible.builtin.include_vars:
        file: "../roles/nexus_container/files/tests/repos/repositories.yml"
    - name: Test Nexus container
      ansible.builtin.import_role:
        name: ska_collections.nexus.nexus_container
        tasks_from: test
      vars:
        nexus: "{{ ansible_default_ipv4.address }}"
        nexus_username: "admin"
        nexus_repositories: "../files/tests/repos/repositories.yml"
        nexus_apt_remote_url: "http://archive.ubuntu.com/ubuntu/"
        nexus_distribution_release: jammy
        nexus_pypi_test_hosted_repository: "{{ nexus_url }}/repository/pypi-test-hosted"
        nexus_pypi_test_proxy_repository: "{{ nexus_url }}/repository/pypi-test-proxy"
        nexus_apt_test_proxy_repository: "{{ nexus_url }}/repository/apt-test-proxy"
        nexus_oci_test_proxy_repository: "{{ nexus_url }}/repository/docker-test-proxy"
        nexus_helm_test_hosted_repository: "{{ nexus_url }}/repository/helm-test-hosted"
        nexus_helm_test_proxy_repository: "{{ nexus_url }}/repository/helm-test-proxy"
        nexus_pypi_test_all_group: "{{ nexus_url }}/repository/pypi-test-all"
        nexus_apt_proxy_test_package: jq
        nexus_oci_test_image: hello-world
        nexus_oci_proxy_cache_engine: docker

        test_repos_to_delete:
          - apt-test-proxy
          - pypi-test-hosted
          - pypi-test-proxy
          - pypi-test-all
          - docker-test-proxy
          - docker-test-all
          - helm-test-hosted
          - helm-test-proxy
